LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (https://www.linuxquestions.org/questions/linux-software-2/)
-   -   Can't install app's or updates.Ran 'sudo dpkg --configure -a' problem still exists (https://www.linuxquestions.org/questions/linux-software-2/cant-install-apps-or-updates-ran-sudo-dpkg-configure-a-problem-still-exists-520426/)

vacuman 01-18-2007 04:49 AM

Can't install app's or updates.Ran 'sudo dpkg --configure -a' problem still exists
 
Trying to install new applications and updates in Kubuntu edgy eft, it was working fine until I started installing 2nd or 3rd party stuff like VM Ware then I got a E: error 'dpkg interrupted need to manually run dpkg --configure -a as super user'. Followed a few threads and I ran 'sudo dpkg --configure -a' and nothing happened. Now I am new to running scripts or using a terminal (I've used Linux for a number of years successfully avoiding it!) but now I really want to stick with one distro and really get it working-so I'm willing to learn! How else do I run as super user if not using 'sudo'? Help! vacuman

Update-I went to a terminal and tried it again-this time using my password (some thread said ubuntu didn't need a password here-so I didn't use one) I got back :
'dpkg: parse error, in file '/var/lib/dpkg/updates/0023' near line 23 package 'lipxml-sax-perl':
EOF after fieldname'


What now?
vacuman

Thank you, thank you all who helped out. What the problem turned out to be was a faulty ISO disc. Evidently (according to one error I got trying to save an Ubuntu ISO download) if you try to save a binary you will get errors(?) so I put it into k3b directly and burned it. This time I checked the integrity of the download and got no bad md5's. Install went perfect. Set up was Perfect. Got same error message after large package install as before. Tried suggested fix 'dpkg --configure -a" and it did it! So it was something that didn't load up. But I will always check my ISO's from now on.
vacuman

bitva 01-19-2007 02:30 PM

Try running apt-get update and then apt-get -f install and see if it can fix things.

Looks like the lipxml-sax-perl package didn't download all the way or got corrupt in the process.


All times are GMT -5. The time now is 01:42 AM.